Loading...
Searching...
No Matches
OpenMesh::Subdivider::Adaptive::Traits Struct Reference
Inheritance diagram for OpenMesh::Subdivider::Adaptive::Traits:
[legend]
Collaboration diagram for OpenMesh::Subdivider::Adaptive::Traits:
[legend]

## Public Types

typedef Refs::HalfedgeHandle | HalfedgeHandle
typedef std::map< state_t, Point > | PositionHistory
typedef std::map< state_t, Point > | PositionHistory
typedef Refs::Scalar | Scalar
typedef std::map< state_t, Point > | PositionHistory
Public Types inherited from OpenMesh::DefaultTraits
enum | { VertexAttributes = 0 }
enum | { HalfedgeAttributes = Attributes::PrevHalfedge }
enum | { EdgeAttributes = 0 }
enum | { FaceAttributes = 0 }
typedef Vec3f | Point
| The default coordinate type is OpenMesh::Vec3f.
typedef Vec3f | Normal
| The default normal type is OpenMesh::Vec3f.
typedef float | TexCoord1D
| The default 1D texture coordinate type is float.
typedef Vec2f | TexCoord2D
| The default 2D texture coordinate type is OpenMesh::Vec2f.
typedef Vec3f | TexCoord3D
| The default 3D texture coordinate type is OpenMesh::Vec3f.
typedef int | TextureIndex
| The default texture index type.
typedef Vec3uc | Color
| The default color type is OpenMesh::Vec3uc.

## Public Member Functions

| FaceAttributes (OpenMesh::Attributes::Normal)
| VertexAttributes (OpenMesh::Attributes::Normal)
| HalfedgeAttributes (OpenMesh::Attributes::PrevHalfedge)
state_t | state () const
void | set_state (const state_t _s)
void | inc_state ()
final_t | final () const
void | set_final ()
void | set_not_final ()
const HalfedgeHandle & | red_halfedge () const
void | set_red_halfedge (const HalfedgeHandle &_h)
void | set_position (const int &_i, const Point &_p)
const Point | position (const int &_i)
state_t | state () const
void | set_state (const state_t _s)
void | inc_state ()
final_t | final () const
void | set_final ()
void | set_not_final ()
void | set_position (const int &_i, const Point &_p)
const Point | position (const int &_i)
state_t | state () const
void | set_state (const state_t _s)
void | inc_state ()
final_t | final () const
void | set_final ()
void | set_not_final ()
void | set_position (const int &_i, const Point &_p)
const Point | position (const int &_i)

## Public Attributes

| FaceTraits
State | state_
HalfedgeHandle | red_halfedge_
PositionHistory | pos_map_
| EdgeTraits
| VertexTraits

## Member Data Documentation

## EdgeTraits

OpenMesh::Subdivider::Adaptive::Traits::EdgeTraits

Initial value:

## FaceTraits

OpenMesh::Subdivider::Adaptive::Traits::FaceTraits

Initial value:

## VertexTraits

OpenMesh::Subdivider::Adaptive::Traits::VertexTraits

Initial value:

The documentation for this struct was generated from the following file:

- OpenMesh/Tools/Subdivider/Adaptive/Composite/Traits.hh